r85639 MediaWiki - Code Review archive

Repository:MediaWiki
Revision:r85638‎ | r85639 | r85640 >
Date:21:11, 7 April 2011
Author:py
Status:deferred
Tags:
Comment:
adding debian files that were used to build etherpad.
I set up auto-props, so if it's borken, please yell softly and gently.
Modified paths:
  • /trunk/debs/etherpad (added) (history)
  • /trunk/debs/etherpad/debian (added) (history)
  • /trunk/debs/etherpad/debian/README (added) (history)
  • /trunk/debs/etherpad/debian/changelog (added) (history)
  • /trunk/debs/etherpad/debian/compat (added) (history)
  • /trunk/debs/etherpad/debian/config (added) (history)
  • /trunk/debs/etherpad/debian/control (added) (history)
  • /trunk/debs/etherpad/debian/copyright (added) (history)
  • /trunk/debs/etherpad/debian/etherpad.init (added) (history)
  • /trunk/debs/etherpad/debian/po (added) (history)
  • /trunk/debs/etherpad/debian/po/POTFILES.in (added) (history)
  • /trunk/debs/etherpad/debian/po/fi.po (added) (history)
  • /trunk/debs/etherpad/debian/po/templates.pot (added) (history)
  • /trunk/debs/etherpad/debian/postinst (added) (history)
  • /trunk/debs/etherpad/debian/postrm (added) (history)
  • /trunk/debs/etherpad/debian/preinst (added) (history)
  • /trunk/debs/etherpad/debian/prerm (added) (history)
  • /trunk/debs/etherpad/debian/rules (added) (history)
  • /trunk/debs/etherpad/debian/source (added) (history)
  • /trunk/debs/etherpad/debian/source/format (added) (history)
  • /trunk/debs/etherpad/debian/source/lintian-overrides (added) (history)
  • /trunk/debs/etherpad/debian/templates (added) (history)

Diff [purge]

Index: trunk/debs/etherpad/debian/control
@@ -0,0 +1,22 @@
 2+Source: etherpad
 3+Section: contrib/httpd
 4+Priority: extra
 5+Maintainer: Etherpad Foundation (Packaging) <packaging@etherpad.org>
 6+Build-Depends: po-debconf, debhelper (>= 7)
 7+Build-Depends-indep: dbconfig-common, openjdk-6-jdk, mysql-client, libmysql-java, scala (>= 2.7), scala-library (>= 2.7)
 8+Build-Conflicts: libgcj-common, java-gcj-compat-headless, java-gcj-compat, gcj-4.3-base
 9+Standards-Version: 3.8.4
 10+Homepage: http://github.com/ether/pad
 11+
 12+Package: etherpad
 13+Architecture: all
 14+Depends: ${misc:Depends}, openjdk-6-jdk, mysql-client, libmysql-java, scala (>= 2.7), mysql-server, m4
 15+Pre-Depends: dbconfig-common, debconf, adduser
 16+Recommends: perl, python-uno
 17+Description: A web-based word processor that allows people to work
 18+ together in real-time.
 19+ .
 20+ When multiple people edit the same document simultaneously, any changes are
 21+ instantly reflected on everyone's screen. The result is a new and productive
 22+ way to collaborate on text documents, useful for meeting notes, drafting
 23+ sessions, education, team programming, and more.
Index: trunk/debs/etherpad/debian/source/format
@@ -0,0 +1 @@
 2+3.0 (native)
Index: trunk/debs/etherpad/debian/source/lintian-overrides
@@ -0,0 +1,12 @@
 2+# The script infrastructure/ace/bin/serve is really a scala program
 3+# but contains magic to make it as executable shell script (the couple first
 4+# lines in the script will execute scala on itself):
 5+etherpad source: shell-script-fails-syntax-check ./usr/share/etherpad/infrastructure/ace/bin/serve
 6+etherpad binary: shell-script-fails-syntax-check ./usr/share/etherpad/infrastructure/ace/bin/serve
 7+# The template already has a comment for the default field, lintian would
 8+# want to have an extra comment inside the string to translate, I don't agree:
 9+etherpad source: translated-default-field templates: 4
 10+# etherpad package contains an optional python script that does not work unless
 11+# recommended packages are installed, lintian does not get this (or I don't know how to tell it)
 12+etherpad binary: python-script-but-no-python-dep ./usr/share/etherpad/bin/DocumentConverter.py
 13+
Index: trunk/debs/etherpad/debian/compat
@@ -0,0 +1 @@
 2+7
Index: trunk/debs/etherpad/debian/postinst
@@ -0,0 +1,84 @@
 2+#!/bin/bash
 3+
 4+################################################################################
 5+#
 6+# Copyright (c) 2010 penSec.IT UG (haftungsbeschränkt)
 7+# http://www.pensec.it
 8+# mail@pensec.it
 9+#
 10+# Licensed under the Apache License, Version 2.0 (the "License"); you may not
 11+# use this file except in compliance with the License. You may obtain a copy of
 12+# the License at
 13+#
 14+# http://www.apache.org/licenses/LICENSE-2.0
 15+#
 16+# Unless required by applicable law or agreed to in writing, software
 17+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 18+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 19+# License for the specific language governing permissions and limitations under
 20+# the License.
 21+#
 22+################################################################################
 23+
 24+
 25+
 26+set -e
 27+. /usr/share/debconf/confmodule
 28+
 29+if [ -n "$ETHERPAD_DEBUG" ]; then
 30+ echo "now debugging $0 $@"
 31+ set -x
 32+fi
 33+
 34+db_version 2.0
 35+
 36+. /usr/share/dbconfig-common/dpkg/postinst.mysql
 37+dbc_go etherpad $@
 38+
 39+db_get "etherpad/admin_password"
 40+db_admin_password="$RET"
 41+db_get "etherpad/topdomains"
 42+db_topdomains="$RET"
 43+
 44+. /etc/dbconfig-common/etherpad.conf
 45+
 46+
 47+
 48+# Create system user
 49+if ! getent passwd etherpad > /dev/null ; then
 50+ echo 'Adding system-user for etherpad' 1>&2
 51+ adduser --system --group --quiet \
 52+ --home /usr/share/etherpad --no-create-home \
 53+ --disabled-login --force-badname etherpad
 54+fi
 55+
 56+# Give user the rights to write into the log & data directory
 57+chown -R etherpad:etherpad "/var/log/etherpad"
 58+chown -R etherpad:etherpad "/usr/share/etherpad/etherpad/data"
 59+# Give user the rights do write everywhere, did not yet figure
 60+# out which rights are necessary, exactly
 61+chown -R etherpad:etherpad "/usr/share/etherpad"
 62+
 63+if ! [ "$dbc_dbserver" ]; then
 64+ dbc_dbserver=localhost
 65+fi
 66+if ! [ "$dbc_dbport" ]; then
 67+ dbc_dbport=3306
 68+fi
 69+
 70+
 71+m4 \
 72+ -D __db_admin_password__="$db_admin_password" \
 73+ -D __dbc_dbserver__="$dbc_dbserver" \
 74+ -D __dbc_dbport__="$dbc_dbport" \
 75+ -D __dbc_dbname__="$dbc_dbname" \
 76+ -D __dbc_dbpass__="$dbc_dbpass" \
 77+ -D __dbc_dbuser__="$dbc_dbuser" \
 78+ -D __db_topdomains__="$db_topdomains" \
 79+ < /etc/etherpad/etherpad.local.properties.tmpl \
 80+ > /etc/etherpad/etherpad.local.properties
 81+
 82+chown etherpad:etherpad /etc/etherpad/etherpad.local.properties
 83+
 84+#DEBHELPER#
 85+
Property changes on: trunk/debs/etherpad/debian/postinst
___________________________________________________________________
Added: svn:executable
186 + *
Index: trunk/debs/etherpad/debian/postrm
@@ -0,0 +1,41 @@
 2+#!/bin/bash
 3+
 4+################################################################################
 5+#
 6+# Copyright (c) 2010 penSec.IT UG (haftungsbeschränkt)
 7+# http://www.pensec.it
 8+# mail@pensec.it
 9+# Copyright (c) 2010 Egil Möller <egil.moller@piratpartiet.se>
 10+#
 11+# Licensed under the Apache License, Version 2.0 (the "License"); you may not
 12+# use this file except in compliance with the License. You may obtain a copy of
 13+# the License at
 14+#
 15+# http://www.apache.org/licenses/LICENSE-2.0
 16+#
 17+# Unless required by applicable law or agreed to in writing, software
 18+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 19+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 20+# License for the specific language governing permissions and limitations under
 21+# the License.
 22+#
 23+################################################################################
 24+
 25+
 26+
 27+set -e
 28+. /usr/share/debconf/confmodule
 29+
 30+if [ -n "$ETHERPAD_DEBUG" ]; then
 31+ echo "now debugging $0 $@"
 32+ set -x
 33+fi
 34+
 35+db_version 2.0
 36+
 37+# Set up database
 38+. /usr/share/dbconfig-common/dpkg/postrm.mysql
 39+dbc_go etherpad $@
 40+
 41+#DEBHELPER#
 42+
Index: trunk/debs/etherpad/debian/preinst
@@ -0,0 +1,37 @@
 2+#!/bin/bash
 3+
 4+################################################################################
 5+#
 6+# Copyright (c) 2010 penSec.IT UG (haftungsbeschränkt)
 7+# http://www.pensec.it
 8+# mail@pensec.it
 9+# Copyright (c) 2010 Egil Möller <egil.moller@piratpartiet.se>
 10+#
 11+# Licensed under the Apache License, Version 2.0 (the "License"); you may not
 12+# use this file except in compliance with the License. You may obtain a copy of
 13+# the License at
 14+#
 15+# http://www.apache.org/licenses/LICENSE-2.0
 16+#
 17+# Unless required by applicable law or agreed to in writing, software
 18+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 19+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 20+# License for the specific language governing permissions and limitations under
 21+# the License.
 22+#
 23+################################################################################
 24+
 25+
 26+
 27+set -e
 28+. /usr/share/debconf/confmodule
 29+
 30+if [ -n "$ETHERPAD_DEBUG" ]; then
 31+ echo "now debugging $0 $@"
 32+ set -x
 33+fi
 34+
 35+db_version 2.0
 36+
 37+#DEBHELPER#
 38+
Index: trunk/debs/etherpad/debian/config
@@ -0,0 +1,49 @@
 2+#!/bin/bash
 3+
 4+################################################################################
 5+#
 6+# Copyright (c) 2010 penSec.IT UG (haftungsbeschränkt)
 7+# http://www.pensec.it
 8+# mail@pensec.it
 9+# Copyright (c) 2010 Egil Möller <egil.moller@piratpartiet.se>
 10+#
 11+# Licensed under the Apache License, Version 2.0 (the "License"); you may not
 12+# use this file except in compliance with the License. You may obtain a copy of
 13+# the License at
 14+#
 15+# http://www.apache.org/licenses/LICENSE-2.0
 16+#
 17+# Unless required by applicable law or agreed to in writing, software
 18+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 19+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 20+# License for the specific language governing permissions and limitations under
 21+# the License.
 22+#
 23+################################################################################
 24+
 25+
 26+
 27+set -e
 28+. /usr/share/debconf/confmodule
 29+
 30+if [ -n "$ETHERPAD_DEBUG" ]; then
 31+ echo "now debugging $0 $@"
 32+ set -x
 33+fi
 34+
 35+db_version 2.0
 36+
 37+# Set up database
 38+. /usr/share/dbconfig-common/dpkg/config.mysql
 39+dbc_go etherpad $@
 40+
 41+db_input high "etherpad/admin_password" || true
 42+db_go
 43+
 44+db_get "etherpad/topdomains"
 45+if ! [ "$RET" ]; then
 46+ db_set "etherpad/topdomains" "$(hostname -f)"
 47+fi
 48+
 49+db_input high "etherpad/topdomains" || true
 50+db_go
Index: trunk/debs/etherpad/debian/prerm
@@ -0,0 +1,45 @@
 2+#!/bin/bash
 3+
 4+################################################################################
 5+#
 6+# Copyright (c) 2010 penSec.IT UG (haftungsbeschränkt)
 7+# http://www.pensec.it
 8+# mail@pensec.it
 9+# Copyright (c) 2010 Egil Möller <egil.moller@piratpartiet.se>
 10+#
 11+# Licensed under the Apache License, Version 2.0 (the "License"); you may not
 12+# use this file except in compliance with the License. You may obtain a copy of
 13+# the License at
 14+#
 15+# http://www.apache.org/licenses/LICENSE-2.0
 16+#
 17+# Unless required by applicable law or agreed to in writing, software
 18+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 19+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 20+# License for the specific language governing permissions and limitations under
 21+# the License.
 22+#
 23+################################################################################
 24+
 25+
 26+
 27+set -e
 28+. /usr/share/debconf/confmodule
 29+
 30+if [ -n "$ETHERPAD_DEBUG" ]; then
 31+ echo "now debugging $0 $@"
 32+ set -x
 33+fi
 34+
 35+db_version 2.0
 36+
 37+# Set up database
 38+. /usr/share/dbconfig-common/dpkg/prerm.mysql
 39+dbc_go etherpad $@
 40+
 41+# Remove log+data directories, otherwise uninstall will fail
 42+rm -rf /var/log/etherpad
 43+rm -rf /usr/share/etherpad/etherpad/data
 44+
 45+#DEBHELPER#
 46+
Property changes on: trunk/debs/etherpad/debian/prerm
___________________________________________________________________
Added: svn:executable
147 + *
Index: trunk/debs/etherpad/debian/changelog
@@ -0,0 +1,23 @@
 2+etherpad (1.1) karmic; urgency=low
 3+
 4+ * New release
 5+
 6+ -- Etherpad Foundation (Packaging) <packaging@etherpad.org> Wed, 13 Oct 2010 10:57:49 +0200
 7+
 8+etherpad (1.0.1) karmic; urgency=low
 9+
 10+ * Changed maintainer to Packaging
 11+
 12+ -- Etherpad Foundation (Packaging) <packaging@etherpad.org> Mon, 10 May 2010 19:22:19 +0200
 13+
 14+etherpad (1.0fixed) karmic; urgency=low
 15+
 16+ * Fixed installation scripts
 17+
 18+ -- Mikko Rantalainen <mikko.rantalainen@peda.net> Tue, 04 May 2010 12:57:28 +0300
 19+
 20+etherpad (1.0) unstable; urgency=low
 21+
 22+ * Initial Release.
 23+
 24+ -- Egil Möller <egil.moller@piratpartiet.se> Mon, 26 Apr 2010 19:51:51 +0200
Index: trunk/debs/etherpad/debian/copyright
@@ -0,0 +1,52 @@
 2+This package was debianized by Egil Möller <egil.moller@piratpartiet.se> on
 3+Mon, 26 Apr 2010 19:51:51 +0200 and further fixed by Mikko Rantalainen.
 4+
 5+It was downloaded from http://github.com/ether/pad
 6+
 7+Upstream Author(s):
 8+
 9+ Aaron Iba <aaroniba@gmail.com>
 10+ Chris Ball <cjb@laptop.org>
 11+ Dan Bentley <dtbentley@gmail.com>
 12+ David Greenspan <davidgreenspan@gmail.com>
 13+ Egil Moeller <egil.moller@freecode.no>
 14+ Elliot Kroo <elliot@kroo.net>
 15+ Jeff Mitchell <etherpad@jefferai.org>
 16+ Jeppe Toustrup <jeppe@tenzer.dk>
 17+ Michael Prasuhn <mike@mikeyp.net>
 18+ Mikko Rantalainen <mikko.rantalainen@peda.net>
 19+ penSec.IT UG (haftungsbeschränkt) <etherpad@pensec.it>
 20+ Per Andersson <avtobiff@gmail.com>
 21+ Peter Martischka <pita@googlemail.com>
 22+ Unknown <root@primarypad.com>
 23+ Simon Bohlin <simon.bohlin@gmail.com>
 24+ Simon B @piratpartiet <simonb@redhog.org>
 25+
 26+Copyright:
 27+
 28+ Copyright (C) 2007-2009 Google Inc.
 29+ Copyright (C) 2009-2010 upstream authors, see above
 30+
 31+License:
 32+
 33+ Redistribution and use in source and binary forms, with or without
 34+ modification, are permitted under the terms of the BSD License.
 35+
 36+ Licensed under the Apache License, Version 2.0 (the "License");
 37+ you may not use this file except in compliance with the License.
 38+ You may obtain a copy of the License at
 39+
 40+ http://www.apache.org/licenses/LICENSE-2.0
 41+
 42+ Unless required by applicable law or agreed to in writing, software
 43+ distributed under the License is distributed on an "AS IS" BASIS,
 44+ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 45+ See the License for the specific language governing permissions and
 46+ limitations under the License.
 47+
 48+On Debian systems, the complete text of the Apache 2.0 License can be
 49+found in `/usr/share/common-licenses/Apache-2.0'.
 50+
 51+The Debian packaging is copyright 2010, Egil Möller <egil.moller@piratpartiet.se> and
 52+is licensed under the GPL, see `/usr/share/common-licenses/GPL'.
 53+
Index: trunk/debs/etherpad/debian/rules
@@ -0,0 +1,112 @@
 2+#!/usr/bin/make -f
 3+# Sample debian/rules that uses debhelper.
 4+# This file is public domain software, originally written by Joey Hess.
 5+#
 6+# This version is for packages that are architecture independent.
 7+#
 8+# Rules to build etherpad
 9+#
 10+# Uncomment this to turn on verbose mode.
 11+#export DH_VERBOSE=1
 12+
 13+build: build-stamp
 14+build-stamp:
 15+ dh_testdir
 16+
 17+ # Add here commands to compile the package.
 18+ #$(MAKE)
 19+ bin/build.sh
 20+ touch build-stamp
 21+
 22+clean:
 23+ # update template translation strings commented out as git-buildpackage complains that the file changes all the times otherwise...
 24+ # debconf-updatepo
 25+ dh_testdir
 26+ dh_testroot
 27+ rm -f build-stamp
 28+
 29+ # Add here commands to clean up after the build process.
 30+ #$(MAKE) clean
 31+ #$(MAKE) distclean
 32+
 33+ dh_clean
 34+
 35+install: build
 36+ dh_testdir
 37+ dh_testroot
 38+ dh_prep
 39+ dh_installdirs
 40+
 41+ # Add here commands to install the package into debian/<packagename>.
 42+ #$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
 43+
 44+ # Add here commands to install the indep part of the package into
 45+ # debian/<package>-doc.
 46+ #INSTALLDOC#
 47+
 48+ mkdir -p debian/etherpad/usr/share/etherpad
 49+
 50+ # try to copy content correctly
 51+ cp -a $$(ls | grep -E -v 'debian|LICENSE|COPYING|INSTALL') debian/etherpad/usr/share/etherpad
 52+ # fix ups (because the above copy is too dump), remove unneeded stuff
 53+ find debian/etherpad -type f -and -name ".gitignore" -exec rm {} +
 54+ find debian/etherpad -type f -and -name "build-stamp" -exec rm {} +
 55+
 56+ # create directory to save user data
 57+ mkdir -p debian/etherpad/usr/share/etherpad/etherpad/data
 58+
 59+ mkdir -p debian/etherpad/etc
 60+ mv debian/etherpad/usr/share/etherpad/etherpad/etc debian/etherpad/etc/etherpad
 61+ ln -s /etc/etherpad debian/etherpad/usr/share/etherpad/etherpad/etc
 62+
 63+ mkdir -p debian/etherpad/var/log/etherpad
 64+ mkdir -p debian/etherpad/usr/share/lintian/overrides
 65+ cp debian/source/lintian-overrides debian/etherpad/usr/share/lintian/overrides/etherpad
 66+
 67+ #mkdir -p debian/etherpad/etc/init.d
 68+ #ln -s /usr/share/etherpad/bin/etherpad.init.d debian/etherpad/etc/init.d/etherpad
 69+ dh_installinit --update-rcd-params="start 05 2 3 4 5 . stop 95 0 1 6 ."
 70+
 71+ dh_install -i
 72+
 73+
 74+# Build architecture-independent files here.
 75+binary-indep: build install
 76+ dh_testdir
 77+ dh_testroot
 78+ dh_installchangelogs
 79+ dh_installdocs
 80+ # on the fly final copyright file creation:
 81+ cat debian/copyright LICENSE > debian/etherpad/usr/share/doc/etherpad/copyright
 82+ dh_installexamples
 83+# dh_installmenu
 84+ dh_installdebconf
 85+# dh_installlogrotate
 86+# dh_installemacsen
 87+# dh_installcatalogs
 88+# dh_installpam
 89+# dh_installmime
 90+# dh_installinit
 91+# dh_installcron
 92+# dh_installinfo
 93+# dh_installwm
 94+# dh_installudev
 95+# dh_lintian
 96+# dh_bugfiles
 97+# dh_undocumented
 98+ dh_installman
 99+ dh_link
 100+ dh_compress
 101+ dh_fixperms
 102+# dh_perl
 103+ dh_installdeb
 104+ dh_gencontrol
 105+ dh_md5sums
 106+ dh_builddeb
 107+
 108+# Build architecture-dependent files here.
 109+binary-arch: build install
 110+# We have nothing to do by default.
 111+
 112+binary: binary-indep binary-arch
 113+.PHONY: build clean binary-indep binary-arch binary install
Property changes on: trunk/debs/etherpad/debian/rules
___________________________________________________________________
Added: svn:executable
1114 + *
Index: trunk/debs/etherpad/debian/README
@@ -0,0 +1,6 @@
 2+The Debian Package etherpad
 3+----------------------------
 4+
 5+Comments regarding the Package
 6+
 7+ -- Egil Möller <egil.moller@piratpartiet.se> Mon, 26 Apr 2010 19:51:51 +0200
Index: trunk/debs/etherpad/debian/etherpad.init
@@ -0,0 +1,171 @@
 2+#!/bin/bash
 3+
 4+### BEGIN INIT INFO
 5+# Provides: etherpad
 6+# Required-Start: $networking $syslog $remote_fs
 7+# Required-Stop: $networking $syslog $remote_fs
 8+# Default-Start: 2 3 4 5
 9+# Default-Stop: 0 1 6
 10+# Short-Description: Run Etherpad
 11+# Description: A web-based word processor that allows
 12+# people to work together in real-time.
 13+# .
 14+# When multiple people edit the same document simultaneously,
 15+# any changes are instantly reflected on everyone's screen.
 16+# The result is a new and productive way to collaborate on
 17+# text documents, useful for meeting notes, drafting
 18+# sessions, education, team programming, and more.
 19+### END INIT INFO
 20+
 21+# Author: penSec.IT UG (haftungsbeschränkt) <mail@pensec.it>
 22+# Author: Per Andersson <avtobiff@gmail.com>
 23+# Author: Mikko Rantalainen <mikko.rantalainen@peda.net>
 24+
 25+################################################################################
 26+#
 27+# Copyright (c) 2010 penSec.IT UG (haftungsbeschränkt)
 28+# http://www.pensec.it
 29+# mail@pensec.it
 30+#
 31+# Licensed under the Apache License, Version 2.0 (the "License"); you may not
 32+# use this file except in compliance with the License. You may obtain a copy of
 33+# the License at
 34+#
 35+# http://www.apache.org/licenses/LICENSE-2.0
 36+#
 37+# Unless required by applicable law or agreed to in writing, software
 38+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 39+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 40+# License for the specific language governing permissions and limitations under
 41+# the License.
 42+#
 43+################################################################################
 44+
 45+# Do NOT "set -e"
 46+
 47+# PATH should only include /usr/* if it runs after the mountnfs.sh script
 48+PATH=/sbin:/usr/sbin:/bin:/usr/bin
 49+DESC="Collaborative real-time editor"
 50+NAME="etherpad"
 51+DAEMON_BASE="/usr/local/etherpad"
 52+DAEMON=$DAEMON_BASE/bin/run.sh
 53+DAEMON_ARGS=""
 54+PIDFILE=/var/run/$NAME.pid
 55+SCRIPTNAME=/etc/init.d/$NAME
 56+OOFFICE_LOG="/var/log/etherpad/ooffice.log"
 57+
 58+# Exit if the package is not installed
 59+[ -x "$DAEMON" ] || exit 0
 60+
 61+# Read configuration variable file if it is present
 62+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
 63+
 64+# Load the VERBOSE setting and other rcS variables
 65+[ -f /etc/default/rcS ] && . /etc/default/rcS
 66+
 67+# Define LSB log_* functions.
 68+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
 69+. /lib/lsb/init-functions
 70+
 71+#
 72+# Function that starts the daemon/service
 73+#
 74+do_start()
 75+{
 76+ # Return
 77+ # 0 if daemon has been started
 78+ # 1 if daemon was already running
 79+ # 2 if daemon could not be started
 80+ pgrep -f 'java.*etherpad' > /dev/null && return 1
 81+ ( cd "$DAEMON_BASE"; su - etherpad -s /bin/bash -c "bin/DocumentConverter.py --daemon" >> "$OOFFICE_LOG" 2>&1 ) &
 82+ start-stop-daemon --background --chdir $DAEMON_BASE --chuid etherpad:etherpad --start --quiet --make-pidfile --pidfile $PIDFILE --exec $DAEMON -- \
 83+ $DAEMON_ARGS \
 84+ || return 2
 85+ # Add code here, if necessary, that waits for the process to be ready
 86+ # to handle requests from services started subsequently which depend
 87+ # on this one. As a last resort, sleep for some time.
 88+
 89+ [ "$VERBOSE" != no ] && echo -n "Waiting for service to come up ..."
 90+ for counter in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20; do
 91+ echo "GET /" | netcat -w 1 localhost 9000 > /dev/null 2>&1 && break
 92+ [ "$VERBOSE" != no ] && echo -n "."
 93+ sleep 1
 94+ done
 95+ [ "$VERBOSE" != no ] && echo ""
 96+
 97+ return 0
 98+}
 99+
 100+#
 101+# Function that stops the daemon/service
 102+#
 103+do_stop()
 104+{
 105+ # Return
 106+ # 0 if daemon has been stopped
 107+ # 1 if daemon was already stopped
 108+ # 2 if daemon could not be stopped
 109+ # other if a failure occurred
 110+ ( cd "$DAEMON_BASE"; su - etherpad -s /bin/bash -c "bin/DocumentConverter.py --shutdown" >> "$OOFFICE_LOG" 2>&1 ) &
 111+ start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
 112+ RETVAL="$?"
 113+ # Many daemons don't delete their pidfiles when they exit.
 114+ rm -f $PIDFILE
 115+ return "$RETVAL"
 116+}
 117+
 118+case "$1" in
 119+ start)
 120+ [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
 121+ do_start
 122+ case "$?" in
 123+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
 124+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
 125+ esac
 126+ ;;
 127+ stop)
 128+ [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
 129+ do_stop
 130+ case "$?" in
 131+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
 132+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
 133+ esac
 134+ ;;
 135+ status)
 136+ status_of_proc -p $PIDFILE "$DAEMON" "$NAME" && exit 0 || exit $?
 137+ ;;
 138+ force-stop)
 139+ # make sure every etherpad instance is killed
 140+ pkill -f 'java.*etherpad'
 141+ ;;
 142+ restart|force-reload)
 143+ #
 144+ # If the "reload" option is implemented then remove the
 145+ # 'force-reload' alias
 146+ #
 147+ log_daemon_msg "Restarting $DESC" "$NAME"
 148+ do_stop
 149+ case "$?" in
 150+ 0|1)
 151+ do_start
 152+ case "$?" in
 153+ 0) log_end_msg 0 ;;
 154+ 1) log_end_msg 1 ;; # Old process is still running
 155+ *) log_end_msg 1 ;; # Failed to start
 156+ esac
 157+ ;;
 158+ *)
 159+ # Failed to stop
 160+ log_end_msg 1
 161+ ;;
 162+ esac
 163+ ;;
 164+ *)
 165+ #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
 166+ echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload|force-stop}" >&2
 167+ exit 3
 168+ ;;
 169+esac
 170+
 171+:
 172+
Property changes on: trunk/debs/etherpad/debian/etherpad.init
___________________________________________________________________
Added: svn:executable
1173 + *
Index: trunk/debs/etherpad/debian/po/templates.pot
@@ -0,0 +1,58 @@
 2+# SOME DESCRIPTIVE TITLE.
 3+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
 4+# This file is distributed under the same license as the PACKAGE package.
 5+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
 6+#
 7+#, fuzzy
 8+msgid ""
 9+msgstr ""
 10+"Project-Id-Version: PACKAGE VERSION\n"
 11+"Report-Msgid-Bugs-To: etherpad@packages.debian.org\n"
 12+"POT-Creation-Date: 2010-05-06 11:07+0300\n"
 13+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 14+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 15+"Language-Team: LANGUAGE <LL@li.org>\n"
 16+"MIME-Version: 1.0\n"
 17+"Content-Type: text/plain; charset=CHARSET\n"
 18+"Content-Transfer-Encoding: 8bit\n"
 19+
 20+#. Type: password
 21+#. Default
 22+#. Note: the translation of this string should match the prompt below
 23+#: ../templates:1001
 24+msgid "password"
 25+msgstr ""
 26+
 27+#. Type: password
 28+#. Description
 29+#. Note: the translation of this string should match the default password above
 30+#: ../templates:1002
 31+msgid "Etherpad administrator password:"
 32+msgstr ""
 33+
 34+#. Type: password
 35+#. Description
 36+#. Note: the translation of this string should match the default password above
 37+#: ../templates:1002
 38+msgid ""
 39+"The Etherpad system can be administrated with a browser. To make this safe, "
 40+"a good password should be set for the administrator. The default is password "
 41+"is \"password\" (THIS IS NOT SAFE)."
 42+msgstr ""
 43+
 44+#. Type: string
 45+#. Description
 46+#: ../templates:2001
 47+msgid "Fully qualified domain name of the site:"
 48+msgstr ""
 49+
 50+#. Type: string
 51+#. Description
 52+#: ../templates:2001
 53+msgid ""
 54+"The system needs to know the fully qualified domain name of the site where "
 55+"etherpad system is visible to the world. This may be different from the name "
 56+"of the system where etherpad is installed (e.g. in case of reverse proxy or "
 57+"port forwarding). Notice that if you enter \"example.com\" here, the service "
 58+"will be available at \"http://example.com:9000\" by default."
 59+msgstr ""
Index: trunk/debs/etherpad/debian/po/POTFILES.in
@@ -0,0 +1 @@
 2+[type: gettext/rfc822deb] templates
Index: trunk/debs/etherpad/debian/po/fi.po
@@ -0,0 +1,76 @@
 2+# SOME DESCRIPTIVE TITLE.
 3+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
 4+# This file is distributed under the same license as the PACKAGE package.
 5+# Mikko Rantalainen <mikko.rantalainen@peda.net>, 2010
 6+msgid ""
 7+msgstr ""
 8+"Project-Id-Version: PACKAGE VERSION\n"
 9+"Report-Msgid-Bugs-To: etherpad@packages.debian.org\n"
 10+"POT-Creation-Date: 2010-05-06 11:07+0300\n"
 11+"PO-Revision-Date: 2010-05-06 11:13+0300\n"
 12+"Last-Translator: Mikko Rantalainen <mikko.rantalainen@peda.net>\n"
 13+"Language-Team: Peda.net\n"
 14+"MIME-Version: 1.0\n"
 15+"Content-Type: text/plain; charset=UTF-8\n"
 16+"Content-Transfer-Encoding: 8bit\n"
 17+"Language: fi\n"
 18+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
 19+"X-Generator: Virtaal 0.3.1\n"
 20+
 21+#. Type: password
 22+#. Default
 23+#. Note: the translation of this string should match the prompt below
 24+#: ../templates:1001
 25+msgid "password"
 26+msgstr "salasana"
 27+
 28+#. Type: password
 29+#. Description
 30+#. Note: the translation of this string should match the default password above
 31+#: ../templates:1002
 32+msgid "Etherpad administrator password:"
 33+msgstr "Etherpad-ylläpitäjän salasana:"
 34+
 35+#. Type: password
 36+#. Description
 37+#. Note: the translation of this string should match the default password above
 38+#: ../templates:1002
 39+msgid ""
 40+"The Etherpad system can be administrated with a browser. To make this safe, "
 41+"a good password should be set for the administrator. The default is password "
 42+"is \"password\" (THIS IS NOT SAFE)."
 43+msgstr ""
 44+"Etherpad-järjestelmää voidaan ylläpitää selaimella. Ylläpitäjällä tulee olla "
 45+"hyvä salasana, jotta tämä olisi turvallista. Oletuksena salasana on "
 46+"\"salasana\" (TÄMÄ EI OLE TURVALLINENN SALASANA)."
 47+
 48+#. Type: string
 49+#. Description
 50+#: ../templates:2001
 51+msgid "Fully qualified domain name of the site:"
 52+msgstr "Etherpad-palvelimen osoite (esimerkiksi example.com):"
 53+
 54+#. Type: string
 55+#. Description
 56+#: ../templates:2001
 57+msgid ""
 58+"The system needs to know the fully qualified domain name of the site where "
 59+"etherpad system is visible to the world. This may be different from the name "
 60+"of the system where etherpad is installed (e.g. in case of reverse proxy or "
 61+"port forwarding). Notice that if you enter \"example.com\" here, the service "
 62+"will be available at \"http://example.com:9000\" by default."
 63+msgstr ""
 64+"Järjestelmän tulee tietää Etherpad-palvelun täydellinen julkinen domain-"
 65+"nimi. Tämä voi olla eri kuin sen tietokoneen domain-nimi, johon palvelu "
 66+"asennetaan (esimerkiksi kun käytetään porttien uudelleenohjausta tai reverse "
 67+"proxy -määrityksiä). Huomaa, että jos syötät tässä \"example.com\", niin "
 68+"palvelu on oletuksena nähtävillä osoitteessa \"http://example.com:9000\"."
 69+
 70+#~ msgid "Please insert the administration password, default is password."
 71+#~ msgstr ""
 72+#~ "Koko Etherpad-asennuksen pääkäyttäjän salasana, oletus on \"salasana\"."
 73+
 74+#~ msgid "Please insert the domain name of your site."
 75+#~ msgstr ""
 76+#~ "Syötä tähän Etherpad-palvelimesi osoite. Varsinainen Etherpad-palvelu "
 77+#~ "toimii oletuksena portissa 9000 (esimerkiksi http://example.com:9000)."
Index: trunk/debs/etherpad/debian/templates
@@ -0,0 +1,20 @@
 2+Template: etherpad/admin_password
 3+Type: password
 4+# Note: the translation of this string should match the prompt below
 5+_Default: password
 6+# Note: the translation of this string should match the default password above
 7+_Description: Etherpad administrator password:
 8+ The Etherpad system can be administrated with a browser. To make this
 9+ safe, a good password should be set for the administrator.
 10+ The default is password is "password" (THIS IS NOT SAFE).
 11+
 12+Template: etherpad/topdomains
 13+Type: string
 14+Default: localhost
 15+_Description: Fully qualified domain name of the site:
 16+ The system needs to know the fully qualified domain name of the site where
 17+ etherpad system is visible to the world. This may be different from the
 18+ name of the system where etherpad is installed (e.g. in case of reverse proxy
 19+ or port forwarding). Notice that if you enter "example.com" here, the service
 20+ will be available at "http://example.com:9000" by default.
 21+

Status & tagging log